# PlayApplicationSpec

API Documentation: | `PlayApplicationSpec`

Note: This class is incubating and may change in a future version of Gradle.

Definition of a Play Framework software component that is built by Gradle.

### Properties

Property | Description
`injectedRoutesGenerator` | Incubating Will an injected router be generated for this application?

### Methods

Method | Description
`platform(platformRequirements)` | Incubating Specifies a `PlayPlatform` with a given set of requirements that this component should be built be for. Can accept a map of play, scala and/or java requirements or a string representation of the desired play platform.

### Script blocks

No script blocks

### Property details

#### `boolean` `injectedRoutesGenerator`

Note: This property is incubating and may change in a future version of Gradle.

Will an injected router be generated for this application?

### Method details

#### `void` `platform`(`Object` platformRequirements)

Note: This method is incubating and may change in a future version of Gradle.

Specifies a `PlayPlatform` with a given set of requirements that this component should be built be for. Can accept a map of play, scala and/or java requirements or a string representation of the desired play platform.

    model {
         components {
             play {
                 platform 'play-2.3.9'
                 platform play: '2.3.2'
                 platform play: '2.3.6', scala: '2.10'
                 platform play: '2.3.7', scala: '2.11', java: '1.8'
             }
         }
     }